<?php

if (!class_exists('fwfmHtmlFormbehavior')) {
	class fwfmHtmlFormbehavior {
		function chosen($selector = '.advancedSelect', $debug = null, $options = array()) {
			wp_enqueue_script('chosen', FWFM_URL.'media/jui/js/chosen.jquery.min.js', array('jquery'), '1.0');
			wp_enqueue_style('chosen', FWFM_URL.'media/jui/css/chosen.css');
	
			if (!isset($options['disable_search_threshold'])) {
				$options['disable_search_threshold'] = 10;
			}
			if (!isset($options['search_contains'])) {
				$options['search_contains'] = true;
			}
			if (!isset($options['allow_single_deselect'])) {
				$options['allow_single_deselect'] = true;
			}
			if (!isset($options['placeholder_text_multiple'])) {
				$options['placeholder_text_multiple'] = fwfmText::_('JGLOBAL_TYPE_OR_SELECT_SOME_OPTIONS');
			}
			if (!isset($options['placeholder_text_single'])) {
				$options['placeholder_text_single'] = fwfmText::_('JGLOBAL_SELECT_AN_OPTION');
			}
			if (!isset($options['no_results_text'])) {
				$options['no_results_text'] = fwfmText::_('JGLOBAL_SELECT_NO_RESULTS_MATCH');
			}
	
			$options_str = json_encode($options);
	?>
	<script>
	jQuery(function($) {
		initChosen();
		$("body").on("subform-row-add", initChosen);
	
		function initChosen(event, container) {
			container = container || document;
			$(container).find(<?php echo json_encode($selector); ?>).chosen(<?php echo $options_str; ?>);
		}
	});
	</script>
	<?php
		}
	}
}