<?php

if (!class_exists('fwfmHtmlsortablelist')) {
	class fwfmHtmlsortablelist {
		function sortable($tableId, $formId, $sortDir = 'asc', $saveOrderingUrl = null, $proceedSaveOrderButton = true, $nestedList = false) {
			wp_enqueue_script('jsortablelist', FWFM_URL.'media/jui/js/sortablelist.js', array('jquery-ui-sortable'), '1.0');
	
?>
<script>
jQuery(function($) {
	var sortableList = new $.JSortableList('#<?php echo $tableId; ?> tbody','<?php echo $formId; ?>','<?php echo $sortDir; ?>', '<?php echo $saveOrderingUrl; ?>','','<?php echo $nestedList; ?>');
<?php
			if ($proceedSaveOrderButton) {
?>
	var saveOrderButton = $('.saveorder');
	saveOrderButton.css({'opacity':'0.2', 'cursor':'default'}).attr('onclick','return false;');
	var oldOrderingValue = '';
	$('.text-area-order').focus(function () {
		oldOrderingValue = $(this).attr('value');
	})
	.keyup(function (){
		var newOrderingValue = $(this).attr('value');
		if (oldOrderingValue != newOrderingValue)
		{
			saveOrderButton.css({'opacity':'1', 'cursor':'pointer'}).removeAttr('onclick')
		}
	});
<?php
			}
?>
});
</script>
<?php
		}
	}
}