<?php
/**
 * FW Food menu 4.4.1
 * @copyright (C) 2020 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined('_FWFM_EXEC') or die('Restricted access');

class menuViewData extends fwfmViewLegacy {
    function display($tmpl=null) {
		$this->menu = 'data';
		$model = $this->getModel();

		if ($this->getLayout() == 'edit') {
			if ($plugin = $model->getPlugin()) {
				if (!headers_sent()) {
					header("Expires: Tue, 1 Jul 2003 05:00:00 GMT");
					header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
					header("Cache-Control: no-store, no-cache, must-revalidate");
					header("Pragma: no-cache");
				}
				ob_implicit_flush();
				$model->processPlugin($plugin);
			}
		} else {
			$this->app = fwfmFactory::getApplication();
			$this->backups = $model->getBackupsList();
			$this->plugins = $model->getPlugins();
			$this->params = fwfmComponentHelper::getParams('com_fwfoodmenu');
			parent:: display($tmpl);
		}
	}
}
