<?php
/**
 * FW Food menu 4.4.1
 * @copyright (C) 2020 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined( '_FWFM_EXEC' ) or die( 'Restricted access' );

class menuViewMenu extends fwfmViewLegacy {
	function display($tmpl=null) {
		$model = $this->getModel();

		$data = new stdclass;
    	switch ($this->getLayout()) {
			case 'get_changelog' :
			$this->list = $model->getChangelog();
			$data->result = $this->loadTemplate();
			$data->msg = $model->getError();
			break;
			case 'pdf_upload' :
			$data->result = $model->uploadPDF();
			$data->msg = $model->getError();
			break;
			case 'delete_pdf' :
			$data->result = $model->deletePDF();
			$data->msg = $model->getError();
			break;
			case 'check_update' :
			$data = (object)$model->checkUpdate();
			$data->msg = $model->getError();
			break;
			case 'verify_code' :
			$data = (object)$model->verifyCode();
			$data->msg = $model->getError();
			break;
			case 'revoke_code' :
			$data = (object)$model->revokeCode();
			$data->msg = $model->getError();
			break;
			case 'update_package' :
			$data->result = $model->updatePackage();
			$data->msg = $model->getError();
			break;
			case 'load_wizards' :
			$data->result = $model->loadWizards();
			break;
    	}
    	die(json_encode($data));
	}
}
