<?php
/**
 * FW Food menu 4.4.1
 * @copyright (C) 2020 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined('_FWFM_EXEC') or die('Restricted access');

fwfmToolBarHelper :: title(fwfmText::_('FWFM_MENU_FW_FOOD_MENU'));

echo fwfmLayoutHelper::render('common.menu_begin', array(
    'view' => $this,
    'title' => fwfmText::_('FWFM_VIEW_ORDER'),
    'title_hint' => fwfmText::_('FWFM_VIEW_ORDER_HINT')
), FWFM_PATH_COMPONENT);

if (!$this->plugin_installed or !$this->plugin_enabled) {
?>
<div class="alert alert-danger">
<?php
    if (!$this->plugin_installed) {
        echo fwfmText::_('FWFM_CART_PLUGIN_NOT_INSTALLED');
    } else {
        echo fwfmText::_('FWFM_CART_PLUGIN_NOT_ENABLED');
    }
?>
</div>
<?php
} else {
    echo fwfmLayoutHelper::render('admin.cart.edit', array('view'=>$this), FWFM_PATH_SITE.'/plugins/fwfoodmenu/cart/layouts');
}
echo fwfmLayoutHelper::render('utilites.quick_categories', array('view'=>$this), FWFM_PATH_COMPONENT);
echo fwfmLayoutHelper::render('utilites.quick_meals', array('view'=>$this), FWFM_PATH_COMPONENT);
echo fwfmLayoutHelper::render('common.menu_end', array(), FWFM_PATH_COMPONENT);
